/*
 * Initialize Sentry with DSN pointing to its project
 */
Sentry.init({
  dsn: "https://c52348abd8b749898c04480a300ad070@dev2.discuss-data.net/6",
  // Alternatively, use `process.env.npm_package_version` for a dynamic release version
  // if your build tool supports it.
  integrations: [new Sentry.Integrations.BrowserTracing()],

  // Set tracesSampleRate to 1.0 to capture 100%
  // of transactions for performance monitoring.
  // We recommend adjusting this value in production
  tracesSampleRate: 1.0,
});
var sid;
var sadeUser;
var sadePw;
var page;
var t;
var i;
var test;


function updateOverview() {
	log('starting...');

	$('#logbox').show();
        if(sadeUser === undefined) {
            sadeUser = $('#user').val();
            sadePw = $('#password').val();
            sid = $('#sid').val();
        }

		var sidreq = sid ? "&sid="+sid : "";
        var target="data";

		$.ajax({
		    type: 'POST',
			url: 'modules/textgrid/custom-publish.xq',
			data: {'user': sadeUser, 'password': sadePw, 'sid': sid, 'operation': 'overview'},
			cache: false,
			success: function(xml) {
                test = $(xml).find('message');
			    if($(xml).find('ok').text()) {
			        $(xml).find('ok').each( function(){
			                log('success: ' + $(this).text() );
                        });
			    }
			},

			error: function(xml){
			    message = xml.responseXML.childNodes["0"].childNodes[1].textContent
			    log('<span style="color:red;">ERROR: ' + message + '</span>');
			}
		});
}

function updateIndices() {
	log('starting...');

	$('#logbox').show();
        if(sadeUser === undefined) {
            sadeUser = $('#user').val();
            sadePw = $('#password').val();
            sid = $('#sid').val();
        }

		var sidreq = sid ? "&sid="+sid : "";
        var target="data";

		$.ajax({
		    type: 'POST',
			url: 'modules/textgrid/custom-publish.xq',
			data: {'user': sadeUser, 'password': sadePw, 'sid': sid, 'operation': 'indices'},
			cache: false,
			success: function(xml) {
                test = $(xml).find('message');
			    if($(xml).find('ok').text()) {
			        $(xml).find('ok').each( function(){
			                log('success: ' + $(this).text() );
                        });
			    }
			},

			error: function(xml){
			    message = xml.responseXML.childNodes["0"].childNodes[1].textContent
			    log('<span style="color:red;">ERROR: ' + message + '</span>');
			}
		});
};
